%define _unpackaged_files_terminate_build 0

Summary: Internet whois/nicname client.
Summary(ko): whois/nicname 클라이언트 프로그램
Name: kwhois
Version: 3.8
Release: 1%{?dist}
Epoch: 1
License: GPL
Group: Applications/Internet
Url: http://oops.org/
Source0: ftp://mirror.oops.org/pub/oops/kwhois/kwhois-%{version}.tar.bz2
Buildroot: /var/tmp/kwhois-root
Conflicts: fwhois, whois, jwhois
BuildRequires: olibc-devel
Requires: olibc

%description
A whois client that accepts both traditional and finger-style queries.
This support to search multibyte domain based on punycode

%description -l ko
핑커 스타일과 전통적인 방식을 지원하는 후이즈 클라이언트 프로그램
kwhois 는 punycode 를 이용한 다국어 도메인을 지원한다.

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -fr %{buildroot}
%{__mkdir_p} %{buildroot}{%{_bindir},%{_mandir}/{man1,ko/man1}}
make DESTDIR=%{buildroot} install

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*.1*
%{_mandir}/ko/man1/*.1*
%{_datadir}/locale/*/LC_MESSAGES/kwhois.mo

%changelog
* Thu Nov 22 2012 JoungKyun.Kim <http://oops.org> 1:3.8-1%{?dist}
- update 3.8
- support krnic whois renewal (change charset to utf-8)

* Wed Apr 18 2012 JoungKyun.Kim <http://oops.org> 1:3.7-1%{?dist}
- packaged

